Mac Driver Update Urged For Some Older Traktor Hardware

Last updated 27 November, 2014

5600

kontrol s4
Using your Kontrol S4 Mk 1 with a Mac running OSX 10.8 or 10.9? You are advised, along with owners of some other older NI hardware, to update your drivers immediately.

Native Instruments has today urged users of Mac OS 10.9 and 10.10 (Mavericks and Yosemite) who also use some of the company’s older hardware (namely the Traktor Kontrol S4 Mk1, Audio 2 DJ, Audio 4 DJ and Audio 8 DJ) to update their drivers.

The company has identified an issue which caused the above combinations of hardware and software to occasionally disconnect in use, and so is strongly recommending the driver update to ensure best possible hardware performance. The update is not required for OSX 10.8 or below.

What to do next

You can go straight to the download page for you device if you think this issue will affect you by clicking the device name in the list above.

Laidback Luke’s Bootlegs, Mashups & Re-Edits